od(1)

NAME
od - Dump files in octal and other formats

SYNOPSIS
od [--help] [-A|--address-radix] [-j|--skip-bytes] [-N|--read-bytes] [--endian] [-S|--strings] [-a ] [-b ] [-c ] [-d ] [-D ] [-o ] [-I ] [-L ] [-i ] [-l ] [-x ] [-h ] [-O ] [-s ] [-X ] [-H ] [-e ] [-f ] [-F ] [-t|--format] [-v|--output-duplicates] [-w|--width] [--traditional] [-V|--version] [FILENAME]

DESCRIPTION
Dump files in octal and other formats

OPTIONS

--help
    Print help information.

-A, --address-radix=RADIX
    Select the base in which file offsets are printed.

-j, --skip-bytes=BYTES
    Skip bytes input bytes before formatting and writing.

-N, --read-bytes=BYTES
    limit dump to BYTES input bytes

--endian=big|little
    byte order to use for multi-byte formats
    [possible values: big, little]

-S, --strings=BYTES
    NotImplemented: output strings of at least BYTES graphic chars. 3 is assumed when BYTES is not specified.

-a  named characters, ignoring high-order bit

-b  octal bytes

-c  ASCII characters or backslash escapes

-d  unsigned decimal 2-byte units

-D  unsigned decimal 4-byte units

-o  octal 2-byte units

-I  decimal 8-byte units

-L  decimal 8-byte units

-i  decimal 4-byte units

-l  decimal 8-byte units

-x  hexadecimal 2-byte units

-h  hexadecimal 2-byte units

-O  octal 4-byte units

-s  decimal 2-byte units

-X  hexadecimal 4-byte units

-H  hexadecimal 4-byte units

-e  floating point double precision (64-bit) units

-f  floating point double precision (32-bit) units

-F  floating point double precision (64-bit) units

-t, --format=TYPE
    select output format or formats

-v, --output-duplicates
    do not use * to mark line suppression

-w, --width=BYTES
    output BYTES bytes per output line. 32 is implied when BYTES is not specified.

--traditional
    compatibility mode with one input, offset and label.

-V, --version
    Print version

EXTRA
Displays data in various human-readable formats. If multiple formats are specified, the output will contain all formats in the order they appear on the command line. Each format will be printed on a new line. Only the line containing the first format will be prefixed with the offset. If no filename is specified, or it is "-", stdin will be used. After a "--", no more options will be recognized. This allows for filenames starting with a "-". If a filename is a valid number which can be used as an offset in the second form, you can force it to be recognized as a filename if you include an option like "-j0", which is only valid in the first form. RADIX is one of o,d,x,n for octal, decimal, hexadecimal or none. BYTES is decimal by default, octal if prefixed with a "0", or hexadecimal if prefixed with "0x". The suffixes b, KB, K, MB, M, GB, G, will multiply the number with 512, 1000, 1024, 1000^2, 1024^2, 1000^3, 1024^3, 1000^2, 1024^2. OFFSET and LABEL are octal by default, hexadecimal if prefixed with "0x" or decimal if a "." suffix is added. The "b" suffix will multiply with 512. TYPE contains one or more format specifications consisting of:
    a for printable 7-bits ASCII
    c for utf-8 characters or octal for undefined characters
    d[SIZE] for signed decimal
    f[SIZE] for floating point
    o[SIZE] for octal
    u[SIZE] for unsigned decimal
    x[SIZE] for hexadecimal SIZE is the number of bytes which can be the number 1, 2, 4, 8 or 16,
    or C, I, S, L for 1, 2, 4, 8 bytes for integer types,
    or F, D, L for 4, 8, 16 bytes for floating point. Any type specification can have a "z" suffix, which will add a ASCII dump at
    the end of the line. If an error occurred, a diagnostic message will be printed to stderr, and the exit code will be non-zero.

VERSION
v0.0.23